Oracle Linux 6 : wireshark (ELSA-2011-0369)

critical Nessus Plugin ID 68231
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

描述

來自 Red Hat 安全性公告 2011:0369:

現已提供適用於 Red Hat Enterprise Linux 6 的更新版 wireshark 套件,可修正多個安全性問題。

Red Hat 安全性回應團隊已將此更新評等為具有中等安全性影響。可針對每個弱點從〈參照〉一節的 CVE 連結中取得常見弱點評分系統 (CVSS) 的基本分數,其中包含有關嚴重性評等的詳細資訊。

Wireshark 是用於監控網路流量的程式。Wireshark 之前稱為 Ethereal。

在 Wireshark MAC-LTE 解剖器中發現堆積型緩衝區溢位瑕疵。如果 Wireshark 在網路外讀取格式錯誤的封包,或開啟惡意的轉儲存檔案,可造成當機,亦可能會以執行 Wireshark 的使用者身分執行任意程式碼。(CVE-2011-0444)

在 Wireshark 處理 Nokia DCT3 電話在 Netmonitor 模式下執行的 Gammu 公用程式所產生的訊號追蹤的方式中,發現一個堆積型緩衝區溢位瑕疵。如果 Wireshark 開啟特製的擷取檔案,可造成當機,或可能以執行 Wireshark 的使用者身分執行任意程式碼。(CVE-2011-0713)

在 Wireshark 中發現數個拒絕服務瑕疵。如果從網路外讀取格式錯誤的封包,或開啟惡意的轉儲存檔案,Wireshark 可出現損毀或停止回應。(CVE-2011-0538、CVE-2011-1139、CVE-2011-1140、CVE-2011-1141)

Wireshark 使用者應升級至這些更新版套件,其包含 Wireshark 1.2.15 版,並可解決這些問題。必須重新啟動所有執行中的 Wireshark 執行個體,更新才會生效。

解決方案

更新受影響的 wireshark 套件。

另請參閱

https://oss.oracle.com/pipermail/el-errata/2011-March/002017.html

Plugin 詳細資訊

嚴重性: Critical

ID: 68231

檔案名稱: oraclelinux_ELSA-2011-0369.nasl

版本: 1.10

類型: local

代理程式: unix

已發布: 2013/7/12

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 6.7

CVSS v2

風險因素: Critical

基本分數: 10

時間分數: 7.8

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

時間媒介: E:POC/RL:OF/RC:C

弱點資訊

CPE: p-cpe:/a:oracle:linux:wireshark, p-cpe:/a:oracle:linux:wireshark-devel, p-cpe:/a:oracle:linux:wireshark-gnome, cpe:/o:oracle:linux:6

必要的 KB 項目: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

可被惡意程式利用: true

可輕鬆利用: Exploits are available

修補程式發佈日期: 2011/3/22

弱點發布日期: 2011/1/12

參考資訊

CVE: CVE-2011-0444, CVE-2011-0538, CVE-2011-0713, CVE-2011-1139, CVE-2011-1140, CVE-2011-1141

BID: 45775, 46167, 46416, 46626

RHSA: 2011:0369